Name:		mppenc
Version:	1.16
Release:	%mkrel 9
Summary:	Musepack encoder
License:	LGPLv2
Group:		Sound/Editors and Converters
URL:		https://www.musepack.net/
Source0:	https://files.musepack.net/source/%{name}-%{version}.tar.bz2

BuildRequires:	cmake
BuildRequires:	nasm


%description
This program handles encoding of the MPC format, which is an audio
compression format with a strong emphasis on high quality. It's not
lossless, but it is designed for transparency, so that you won't be
able to hear differences between the original wave file and the much
smaller MPC file. It is based on the MPEG-1 Layer-2 / MP2 algorithms,
but since 1997 it has rapidly developed and vastly improved and is now
at an advanced stage in which it contains heavily optimized and
patentless code.

%prep
%setup -q

# fix empty debugsourcefiles.list using ours compile flags
sed -i -e 's|-O2|%{optflags}|' CMakeLists.txt

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc Changelog
%{_bindir}/%{name}


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.16-9.mga10
+ Revision: 2196201
- Mageia 10 Mass Rebuild

* Thu Mar 17 2022 umeabot <umeabot> 1.16-8.mga9
+ Revision: 1797296
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 daviddavid <daviddavid> 1.16-7.mga8
+ Revision: 1516893
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.16-6.mga7
+ Revision: 1299628
- Mageia 7 Mass Rebuild

* Sat Aug 26 2017 daviddavid <daviddavid> 1.16-5.mga7
+ Revision: 1147972
- fix build using ours compile flags thus fixing empty debugsourcefiles.list

* Mon Feb 08 2016 umeabot <umeabot> 1.16-4.mga6
+ Revision: 946082
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.16-3.mga5
+ Revision: 741466
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.16-2.mga5
+ Revision: 682655
- Mageia 5 Mass Rebuild

* Fri Mar 28 2014 david-david <david-david> 1.16-1.mga5
+ Revision: 609229
- imported package mppenc

